Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Interface ShowRelatedElementsPresetHelper.IConversionMethods

Enclosing interface:
  ShowRelatedElementsPresetHelper

public static interface ShowRelatedElementsPresetHelper.IConversionMethods

Methods for the serializer and deserializer which should be implemented to convert the serialized String into an object and to convert the object into a serialzed String.

Method Summary
`java.lang.String` `convertCustomDataToSerializableString(java.lang.Object object)` Convert the objet into a serializable string for the serialization
`java.lang.Object` `convertSerializableStringToCustomData(java.lang.String string)` Convert the string to an object for the ShowRelatedElementsPreset's custom data.

Method Detail

### convertSerializableStringToCustomData

    public java.lang.Object convertSerializableStringToCustomData(java.lang.String string)

  Convert the string to an object for the ShowRelatedElementsPreset's custom data.

  Parameters:
    `string` - to be converted
  Returns:
    Object converted from string

### convertCustomDataToSerializableString

    public java.lang.String convertCustomDataToSerializableString(java.lang.Object object)

  Convert the objet into a serializable string for the serialization

  Parameters:
    `object` - to be converted
  Returns:
    String converted from object

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.